### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-checkbox/ecl-checkbox.directive.ts`

### Implements

`AfterContentInit` `OnChanges`

### Metadata

Selector | `[eclCheckbox]`

### Index

###### Properties
eclCheckboxHelpComponent eclCheckboxLabelComponent eclFormLabelDirective eclHelpBlockDirective
###### Inputs
isDisabled isInvalid
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

isDisabled
Type : `boolean`
Default value : `false`

isInvalid
Type : `boolean`
Default value : `false`

### HostBindings

class
Type : `any`

### Properties

eclCheckboxHelpComponent
Type : `EclCheckboxHelpComponent`
Decorators : `@ContentChild(undefined)`

eclCheckboxLabelComponent
Type : `EclCheckboxLabelComponent`
Decorators : `@ContentChild(undefined)`

eclFormLabelDirective
Type : `EclFormLabelComponent`
Decorators : `@ContentChild(undefined)`

eclHelpBlockDirective
Type : `EclHelpBlockDirective`
Decorators : `@ContentChild(undefined)`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""